package com.yutou.bilibili.interfaces;

import java.io.File;

public abstract class DownloadInterface {
    public void onDownloadStart(){}
    public boolean onDownloading(double soFarBytes, double totalBytes){return true;}
    public void onDownload(File file){}
    public void onError(Exception e){}
}
